SHEBANG
# Copyright @BABOLO (C)2002..2009 http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.3 2009/06/04 21:21:57 babolo Exp $

JNTROSTUP(xfs,,xfs-orgdnl
,dnl
# jailup ${inclass} dir jailname jailaddr [uid [gid [port]]]
#     where dir relative to ${jailupdir} and ${jailrodir}
#     uid, gid and port are 7104 by default
# installed ports/x11-fonts/xfs useddnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
juid="${4-7104}"
jgid="${5-7104}"
port="${6:-7104}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"
if  [ -n "${CONFSHIFT}" ]; then
    conf_dir="${conf_dir}/${CONFSHIFT}"
fi

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}
ETCOPY()

${up_genlist} libexec/ ${MTREE} | ${up_libexe} "${main_dir}/libexec/"
${up_genlist} libexec/ ${MTREE} | ${up_ldsh} | ${up_shlib} "${main_dir}/lib"

${chflags} -R noschg,nosunlnk "${main_dir}/fonts/minimum/"
${cp} ${THIS}/minimum/* "${main_dir}/fonts/minimum/"

CONFCOPY(${genclass}.conf, "${TEMPLATE}")
${touch} "${main_dir}/var/log/xfs"
${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=dir uname=root gname=wheel mode=0755 flags=none
.
/set type=file mode=0644
    localtime
    xfs.conf
EOF

${chown} ${juid}:${jgid} "${main_dir}/tmp" "${main_dir}/var/run" "${main_dir}/var/log/xfs"

${up_acc} gr "${conf_dir}" <<- EOF
	wheel:*:0:
	xfs:*:${jgid}:
	nogroup:*:65533:
	nobody:*:65534:
EOF

${up_acc} pwt "${conf_dir}" <<- EOF
	root:*:0:0::0:0:Charlie &:/:/dev/null/none
	xfs:*:${juid}:${jgid}::0:0:X Font Server:/dev/null/none:/dev/null/none
	nobody:*:65534:65534::0:0:Unprivileged user:/dev/null/none:/dev/null/none
EOF

${up_adc} "${JAILUPRC}" <<- EOF
	#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	${juid}	${jgid}	${port}
EOF

      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_adc} "${etcdir}/newsyslog.conf" <<- EOF
	#${main_dir}/var/log/xfs	644  9     *	@T00  Z ${main_dir}/var/run/xfs.pid	USR1
EOF

${up_adc} "${etcdir}/fstab" <<- EOF
	#${conf_dir}			${main_dir}/etc		nullfs	ro,noexec	0 0
	#/usr/local/lib/X11/fonts	${main_dir}/fonts/X11	nullfs	ro,noexec	0 0
	#/usr/local/share/fonts		${main_dir}/fonts/share	nullfs	ro,noexec	0 0
EOF
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################
